<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<form method="POST" id="rscmForm">
<input type="hidden" name="action" value="${action}">
<input type="hidden" name="module" value="${module}" />
<input type="hidden" name="mid" value="${mid}" />
<input type="hidden" name="month" value="${dataMap['month']}" />
<input type="hidden" name="year" value="${dataMap['year']}" />
<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
</form>

<table class="tableWidth tableFont rscmFilter">
	<tr>
		<td><div class="bgMonthAndYearWidget" month="${dataMap['month']}" year="${dataMap['year']}" title="" query="?action=${action}&module=${module}&mid=${mid}&pageSize=${dataMap['page'].pageSize}" /></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="rscmForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	</tr>
</table>

<div class="report">
<table cellspacing="1" class="table tableWidth tableFont rscmList">
	<thead>
	  <tr>
		<td width="80">Дата</td>
		<td>Услуга</td>
		<td width="60">Количество</td>
		<td width="80"><nobr>Ед. измерения</nobr></td>
		<td>Комментарий</td>
	  </tr>
	</thead>
	<tbody>
	<c:choose>
	<c:when test="${not empty dataMap['serviceList']}">
		<c:forEach var="item" items="${dataMap['serviceList']}">
			<tr>
				<td nowrap="nowrap"><fmt:formatDate value="${item.date}" pattern="dd.MM.yyyy"/></td>
				<td style="text-align: left;">${item.serviceTitle}</td>
				<td>${item.amount }</td>
				<td>${item.unit }</td>
				<td>${item.comment }</td>
			</tr>		
		</c:forEach>
	</c:when>
	<c:otherwise>
	<tr><td colspan="5">Записи не найдены.</td></tr>
	</c:otherwise>
	</c:choose>
	</tbody>
</table>
</div>